import { j as s } from "./index.es73.js";
import * as a from "react";
import { Cross2Icon as n } from "@radix-ui/react-icons";
import * as e from "@radix-ui/react-toast";
import { cva as c } from "class-variance-authority";
import { cn as i } from "./index.es72.js";
const N = e.Provider, p = a.forwardRef(({ className: t, ...o }, r) => /* @__PURE__ */ s.jsx(
  e.Viewport,
  {
    ref: r,
    className: i(
      "fixed top-0 z-[100] flex max-h-screen w-full flex-col-reverse p-4 sm:bottom-0 sm:right-0 sm:top-auto sm:flex-col md:max-w-[420px]",
      t
    ),
    ...o
  }
));
p.displayName = e.Viewport.displayName;
const u = c(
  "group pointer-events-auto relative flex w-full items-center justify-between space-x-2 overflow-hidden rounded-md border p-4 pr-6 shadow-lg transition-all data-[swipe=cancel]:translate-x-0 data-[swipe=end]:translate-x-[var(--radix-toast-swipe-end-x)] data-[swipe=move]:translate-x-[var(--radix-toast-swipe-move-x)] data-[swipe=move]:transition-none data-[state=open]:animate-in data-[state=closed]:animate-out data-[swipe=end]:animate-out data-[state=closed]:fade-out-80 data-[state=closed]:slide-out-to-right-full data-[state=open]:slide-in-from-top-full data-[state=open]:sm:slide-in-from-bottom-full",
  {
    variants: {
      variant: {
        default: "border bg-background text-foreground",
        primary: "primary group border-primary bg-primary text-primary-foreground",
        destructive: "destructive group border-destructive bg-destructive text-destructive-foreground"
      }
    },
    defaultVariants: {
      variant: "default"
    }
  }
), l = a.forwardRef(({ className: t, variant: o, ...r }, d) => /* @__PURE__ */ s.jsx(
  e.Root,
  {
    ref: d,
    className: i(u({ variant: o }), t),
    ...r
  }
));
l.displayName = e.Root.displayName;
const m = a.forwardRef(({ className: t, ...o }, r) => /* @__PURE__ */ s.jsx(
  e.Action,
  {
    ref: r,
    className: i(
      "inline-flex h-8 shrink-0 items-center justify-center rounded-md border bg-transparent px-3 text-sm font-medium transition-colors hover:bg-secondary focus:outline-none focus:ring-1 focus:ring-ring disabled:pointer-events-none disabled:opacity-50 group-[.destructive]:border-muted/40 group-[.destructive]:hover:border-destructive/30 group-[.destructive]:hover:bg-destructive group-[.destructive]:hover:text-destructive-foreground group-[.destructive]:focus:ring-destructive",
      t
    ),
    ...o
  }
));
m.displayName = e.Action.displayName;
const f = a.forwardRef(({ className: t, ...o }, r) => /* @__PURE__ */ s.jsx(
  e.Close,
  {
    ref: r,
    className: i(
      "absolute right-1 top-1 rounded-md p-1 text-foreground/50 opacity-0 transition-opacity hover:text-foreground focus:opacity-100 focus:outline-none focus:ring-1 group-hover:opacity-100 group-[.destructive]:text-red-300 group-[.destructive]:hover:text-red-50 group-[.destructive]:focus:ring-red-400 group-[.destructive]:focus:ring-offset-red-600",
      t
    ),
    "toast-close": "",
    ...o,
    children: /* @__PURE__ */ s.jsx(n, { className: "h-4 w-4" })
  }
));
f.displayName = e.Close.displayName;
const v = a.forwardRef(({ className: t, ...o }, r) => /* @__PURE__ */ s.jsx(
  e.Title,
  {
    ref: r,
    className: i("text-sm font-semibold [&+div]:text-xs", t),
    ...o
  }
));
v.displayName = e.Title.displayName;
const x = a.forwardRef(({ className: t, ...o }, r) => /* @__PURE__ */ s.jsx(
  e.Description,
  {
    ref: r,
    className: i("text-sm opacity-90", t),
    ...o
  }
));
x.displayName = e.Description.displayName;
export {
  l as Toast,
  m as ToastAction,
  f as ToastClose,
  x as ToastDescription,
  N as ToastProvider,
  v as ToastTitle,
  p as ToastViewport
};
//# sourceMappingURL=index.es41.js.map
