import { getDefaultOptions as u } from "./index.es91.js";
import { formatters as l } from "./index.es92.js";
import { longFormatters as k } from "./index.es93.js";
import { isProtectedWeekYearToken as g, isProtectedDayOfYearToken as h, warnOrThrowProtectedError as d } from "./index.es94.js";
import { isValid as w } from "./index.es95.js";
import { toDate as T } from "./index.es90.js";
import { enUS as D } from "./index.es96.js";
const E = /[yYQqMLwIdDecihHKkms]o|(\w)\1*|''|'(''|[^'])+('|$)|./g, v = /P+p+|P+|p+|''|'(''|[^'])+('|$)|./g, O = /^'([^]*?)'?$/, R = /''/g, x = /[a-zA-Z]/;
function j(o, r, P) {
  const a = u(), n = a.locale ?? D, f = a.firstWeekContainsDate ?? a.locale?.options?.firstWeekContainsDate ?? 1, m = a.weekStartsOn ?? a.locale?.options?.weekStartsOn ?? 0, i = T(o);
  if (!w(i))
    throw new RangeError("Invalid time value");
  let s = r.match(v).map((t) => {
    const e = t[0];
    if (e === "p" || e === "P") {
      const c = k[e];
      return c(t, n.formatLong);
    }
    return t;
  }).join("").match(E).map((t) => {
    if (t === "''")
      return { isToken: !1, value: "'" };
    const e = t[0];
    if (e === "'")
      return { isToken: !1, value: C(t) };
    if (l[e])
      return { isToken: !0, value: t };
    if (e.match(x))
      throw new RangeError(
        "Format string contains an unescaped latin alphabet character `" + e + "`"
      );
    return { isToken: !1, value: t };
  });
  n.localize.preprocessor && (s = n.localize.preprocessor(i, s));
  const p = {
    firstWeekContainsDate: f,
    weekStartsOn: m,
    locale: n
  };
  return s.map((t) => {
    if (!t.isToken) return t.value;
    const e = t.value;
    (g(e) || h(e)) && d(e, r, String(o));
    const c = l[e[0]];
    return c(i, e, n.localize, p);
  }).join("");
}
function C(o) {
  const r = o.match(O);
  return r ? r[1].replace(R, "'") : o;
}
export {
  j as default,
  j as format,
  j as formatDate,
  l as formatters,
  k as longFormatters
};
//# sourceMappingURL=index.es81.js.map
