import { Table } from '@tanstack/react-table';
import { FacetFilterProps } from './data-table-faceted-filter';

interface DataTableToolbarProps<TData> {
    table: Table<TData>;
    data: TData[];
    facetFilters: FacetFilterProps<TData>[];
    search: boolean;
    columnToggle: boolean;
}
export declare function DataTableToolbar<TData>({ table, data, facetFilters, search, columnToggle, }: DataTableToolbarProps<TData>): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=data-table-toolbar.d.ts.map