import { FieldValues } from 'react-hook-form';
import { FormInputProps } from '../../../index';

interface Props<TFieldValues extends FieldValues = FieldValues, TContext = any> extends FormInputProps<TFieldValues, TContext> {
    placeholder: string;
    minDate?: Date;
    maxDate?: Date;
}
declare const DatePicker: <TFieldValues extends FieldValues = FieldValues, TContext = any>({ control, placeholder, name, label, description, disabled, className, minDate, maxDate, }: Props<TFieldValues, TContext>) => import("react/jsx-runtime").JSX.Element;
export { DatePicker };
//# sourceMappingURL=date-picker.d.ts.map