import { FieldValues } from 'react-hook-form';
import { FormInputProps } from '../../../index';

interface Props<TFieldValues extends FieldValues = FieldValues, TContext = any> extends FormInputProps<TFieldValues, TContext> {
    placeholder: string;
    minDate?: Date;
    maxDate?: Date;
    onClearInput?: () => void;
}
export interface DateRange {
    from: Date | undefined;
    to: Date | undefined;
}
declare const DateRangePicker: <TFieldValues extends FieldValues = FieldValues, TContext = any>({ control, placeholder, name, label, description, disabled, className, minDate, maxDate, onClearInput, }: Props<TFieldValues, TContext>) => import("react/jsx-runtime").JSX.Element;
export { DateRangePicker };
//# sourceMappingURL=date-range-picker.d.ts.map