import { FormInputProps } from '../../../index';
import { FieldValues } from 'react-hook-form';

interface Props<TFieldValues extends FieldValues = FieldValues, TContext = any> extends FormInputProps<TFieldValues, TContext> {
    placeholder: string;
    defaultValue?: string | undefined;
    options: {
        label: string;
        value: string;
    }[];
}
declare const SimpleSelect: <TFieldValues extends FieldValues = FieldValues, TContext = any>({ control, name, label, options, disabled, description, defaultValue, }: Props<TFieldValues, TContext>) => import("react/jsx-runtime").JSX.Element;
export { SimpleSelect };
//# sourceMappingURL=simple-select.d.ts.map