import { FieldValues } from 'react-hook-form';
import { FormInputProps } from '../../../index';

interface Props<TFieldValues extends FieldValues = FieldValues, TContext = any> extends FormInputProps<TFieldValues, TContext> {
    placeholder: string;
    minDate?: Date;
    maxDate?: Date;
    use24HourFormat?: boolean;
}
declare const TimePicker: <TFieldValues extends FieldValues = FieldValues, TContext = any>({ control, placeholder, name, label, description, disabled, className, use24HourFormat, }: Props<TFieldValues, TContext>) => import("react/jsx-runtime").JSX.Element;
export { TimePicker };
//# sourceMappingURL=time-picker.d.ts.map